## itcl4 4.1.1

=== debian/changelog ===
itcl4 (4.1.1-3) unstable; urgency=medium

  * Add conflicts with itcl3-dev as conflicting with itcl-dev isn't
    sufficient since itcl3-dev doesn't provide itcl-dev (closes: #892710).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Mar 2018 10:52:27 +0300

itcl4 (4.1.1-2) unstable; urgency=medium

  * Add conflicts with itcl-dev and itcl-doc to prevent coinstallability of
    tcl-itcl4-dev and tcl-itcl4-doc with itcl3-dev and itcl3-doc since they
    share a few files (closes: #892710).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 12 Mar 2018 13:07:40 +0300

itcl4 (4.1.1-1) unstable; urgency=low

  * Initial release (closes: #892155).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 06 Mar 2018 11:36:54 +0300
