## itcl4 4.1.2

=== debian/changelog ===
itcl4 (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Oct 2018 15:44:30 +0300
