=== debian/rules ===
#!/usr/bin/make -f

vmajor=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/[^0-9]*\([0-9]*\).*/\1/')
vminor=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/[^0-9]*[0-9]*\.\([0-9]*\).*/\1/')
vpatchlevel=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/[^0-9]*[0-9]*\.[0-9]*\.\([0-9]*\).*/\1/')
v=$(vmajor).$(vminor).$(vpatchlevel)
v1=$(vmajor).$(vminor).$(shell expr $(vpatchlevel) + 1)
dtmp=$(shell pwd)/debian/tmp

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	LIBS="-Wl,-soname,libitcl$(vmajor).so" \
	dh_auto_configure -- \
		       --includedir=/usr/include/itcl \
		       --enable-shared \
		       --enable-threads \
		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)

ovarride_dh_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	#
	rm -f itclConfig.sh pkgIndex.tcl

override_dh_auto_install:
	$(MAKE) prefix=$(dtmp)/usr \
		exec_prefix=$(dtmp)/usr \
		includedir=$(dtmp)/usr/include/itcl \
		install
	#
	# Fix up the itcl libraries.
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itcl*/libitcl$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itcl*/*.a $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libitcl$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitcl$(vmajor).so
	ln -s libitclstub$(v).a $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitclstub$(vmajor).a
	# Fix up itclConfig.sh
	sed -e "s:^\(\(ITCL\|itcl\)_\(BUILD_\)\?LIB_SPEC\)=.*$$:\1='-L/usr/lib/$(DEB_HOST_MULTIARCH) -litcl$(vmajor)':" \
	    -e "s:^\(\(ITCL\|itcl\)_\(BUILD_\)\?STUB_LIB_SPEC\)=.*$$:\1='-L/usr/lib/$(DEB_HOST_MULTIARCH) -litclstub$(vmajor)':" \
	    -e "s:^\(\(ITCL\|itcl\)_\(BUILD_\)\?STUB_LIB_PATH\)=.*$$:\1=/usr/lib/$(DEB_HOST_MULTIARCH)/libitclstub$(vmajor).a:" \
	    -e "s:^\(\(ITCL\|itcl\)_SRC_DIR\)=.*$$:\1='/usr/include/itcl/itcl-private':" \
	    -e "s:^\(\(ITCL\|itcl\)_INCLUDE_SPEC\)=.*$$:\1='/usr/include/itcl':" \
	    -e "s:^\(\(ITCL\|itcl\)_LIB_FILE\)=.*$$:\1=libitcl$(vmajor).so:" \
	    -e "s:^\(\(ITCL\|itcl\)_STUB_LIB_FILE\)=.*$$:\1=libitclstub$(vmajor).a:" \
	    -e "s:^\(\(ITCL\|itcl\)_VERSION\)=.*$$:\1='$(v)':" \
	    -i $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/*/itclConfig.sh
	install -m 644 $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/*/itclConfig.sh $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
	#
	# Move the Tcl library to /usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	install -d -m 755 $(dtmp)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itcl$(v) $(dtmp)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	#
	# Fix up pkgIndex.tcl
	sed -i -e's/\$$dir/\/usr lib $(DEB_HOST_MULTIARCH)/' \
	    $(dtmp)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/itcl$(v)/pkgIndex.tcl
	#
	# Fix up the include files
	install -d $(dtmp)/usr/include/itcl/itcl-private/generic
	install -m 644 generic/*.h $(dtmp)/usr/include/itcl/itcl-private/generic
	#
	# Fix up the manpages
	mv $(dtmp)/usr/share/man/mann $(dtmp)/usr/share/man/man3
	#
	cd $(dtmp)/usr/share/man/man3 && \
	  for i in *.n ; do \
	    sed -i -e's/^\.TH \([^ ]\+\) n /.TH \1 3itcl /' $$i ; \
	    mv $$i `echo $$i | sed -e 's/\.n/\.3itcl/'` ; \
          done

vv = 4.1.1

get-orig-source:
	wget -O itcl4_$(vv).orig.tar.gz \
	     http://prdownloads.sourceforge.net/incrtcl/itcl$(vv).tar.gz

.PHONY: override_dh_auto_configure override_dh_clean \
	override_dh_auto_install override_dh_link get-orig-source
