## itcl4 4.2.0

=== debian/changelog ===
itcl4 (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.4.1.
  * Fix the tcl-itcl4.symbols file.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Nov 2019 14:06:03 +0300
