=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), tcl-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Homepage: http://incrtcl.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl4
 Vcs-Git: https://salsa.debian.org/tcltk-team/itcl4.git
