## itcl4 4.2.1

=== debian/changelog ===
itcl4 (4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix a typo in override_dh_clean target in debian/rules.
  * Bump standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Jan 2021 16:50:54 +0300
