## itcl4 4.2.2

=== debian/changelog ===
itcl4 (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove no longer present source patterns from debian/copyright.
  * Bump standards version to 4.6.0.
  * Bump debhelper compatibility level to 12.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Nov 2021 09:18:21 +0300
