=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 10.0.0), tcl-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12), tcl-dev
+Standards-Version: 4.6.0
 Homepage: http://incrtcl.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl4
 Vcs-Git: https://salsa.debian.org/tcltk-team/itcl4.git
