=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,12 @@
 		       --enable-threads \
 		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-ovarride_dh_clean:
+override_dh_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
 	[ ! -f Makefile ] || $(MAKE) distclean
 	#
 	rm -f itclConfig.sh pkgIndex.tcl
+	dh_clean
 
 override_dh_auto_install:
 	$(MAKE) prefix=$(dtmp)/usr \
