## itcl4 4.2.3

=== debian/changelog ===
itcl4 (4.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.6.1.
  * Bump debhelper compatibility level to 13.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 Nov 2022 14:34:33 +0300
