## itcl4 4.2.4

=== debian/changelog ===
itcl4 (4.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Jan 2024 17:50:06 +0300
