=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper-compat (= 13), tcl-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://incrtcl.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl4
 Vcs-Git: https://salsa.debian.org/tcltk-team/itcl4.git
@@ -53,6 +53,7 @@
 Suggests: tcl-itcl4
 Conflicts: itcl-doc, tcl-itcl-doc
 Provides: tcl-itcl-doc
+Multi-arch: foreign
 Description: [incr Tcl] OOP extension for Tcl - manual pages
  [incr Tcl] (or itcl) is a popular object-oriented extension for the
  embeddable Tcl scripting language.  The name is a play on C++, and
