## itcl4 4.2.5

=== debian/changelog ===
itcl4 (4.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 May 2024 15:15:42 +0300
