## itcl4 4.3.1

=== debian/changelog ===
itcl4 (4.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 22 Oct 2024 12:05:43 +0300

itcl4 (4.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 23 Sep 2024 12:56:17 +0300
