=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper-compat (= 13), tcl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://incrtcl.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl4
 Vcs-Git: https://salsa.debian.org/tcltk-team/itcl4.git
