=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	    mv $$i `echo $$i | sed -e 's/\.n/\.3itcl/'` ; \
           done
 
-vv = 4.1.1
+vv = 4.3.0
 
 get-orig-source:
 	wget -O itcl4_$(vv).orig.tar.gz \
