## itcl4 4.3.2

=== debian/changelog ===
itcl4 (4.3.2-2) unstable; urgency=medium

  * Fix failing to build source after successful build (closes: #1049099).
  * Cleanup debian/control.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Mar 2025 16:18:20 +0300

itcl4 (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Dec 2024 21:16:29 +0300
