=== debian/control ===
Source: itcl4
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tcl-dev
Standards-Version: 4.7.2
Homepage: https://incrtcl.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl4
Vcs-Git: https://salsa.debian.org/tcltk-team/itcl4.git

Package: tcl-itcl4
Architecture: any
Multi-Arch: same
Depends: libtcl, ${shlibs:Depends}, ${misc:Depends}
Suggests: tcl-itcl4-doc
Description: [incr Tcl] OOP extension for Tcl - run-time files
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed.
 .
 This package contains everything you need to run itcl scripts and
 itcl-enabled apps.

Package: tcl-itcl4-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: tcl-dev, tcl-itcl4 (= ${binary:Version}), ${misc:Depends}
Suggests: tcl-itcl4-doc
Conflicts: itcl-dev, itcl3-dev, tcl-itcl-dev
Provides: tcl-itcl-dev
Description: [incr Tcl] OOP extension for Tcl - development files
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed.
 .
 This package contains the headers and libraries needed to embed or
 add C extensions to itcl.

Package: tcl-itcl4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: tcl-itcl4
Conflicts: itcl-doc, tcl-itcl-doc
Provides: tcl-itcl-doc
Description: [incr Tcl] OOP extension for Tcl - manual pages
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed.
 .
 This package contains the man pages for the new commands that itcl
 adds to Tcl.
