=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,10 @@
 %:
 	dh $@
 
+override_dh_autoreconf:
+	[ -f configure.backup ] || cp configure configure.backup
+	dh_autoreconf
+
 override_dh_auto_configure:
 	LIBS="-Wl,-soname,libitcl$(vmajor).so" \
 	dh_auto_configure -- \
@@ -25,8 +29,9 @@
 override_dh_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
 	[ ! -f Makefile ] || $(MAKE) distclean
+	[ ! -f configure.backup ] || mv configure.backup configure
 	#
-	rm -f itclConfig.sh pkgIndex.tcl
+	rm -f itclConfig.sh pkgIndex.tcl itclUuid.h
 	dh_clean
 
 override_dh_auto_install:
