## itcl4 4.3.3

=== debian/changelog ===
itcl4 (4.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Aug 2025 22:06:20 +0300

itcl4 (4.3.2-3) unstable; urgency=medium

  * Build the library for both Tcl 8.6 and Tcl 9.0.
  * Drop the get-orig-source target from debian/rules in favor of using
    uscan to download upstream tarballs.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Mar 2025 14:27:54 +0300
