## itcl4 4.3.4

=== debian/changelog ===
itcl4 (4.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 18 Aug 2025 14:13:20 +0300
