=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 13), tcl-dev
+Build-Depends: debhelper-compat (= 13), tcl-dev, tcl8.6-dev, tcl9.0-dev
 Standards-Version: 4.7.2
 Homepage: https://incrtcl.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl4
@@ -14,6 +14,7 @@
 Multi-Arch: same
 Depends: libtcl, ${shlibs:Depends}, ${misc:Depends}
 Suggests: tcl-itcl4-doc
+Provides: tcl8.6-itcl4 (= ${binary:Version}), tcl9.0-itcl4 (= ${binary:Version})
 Description: [incr Tcl] OOP extension for Tcl - run-time files
  [incr Tcl] (or itcl) is a popular object-oriented extension for the
  embeddable Tcl scripting language.  The name is a play on C++, and
@@ -31,7 +32,7 @@
 Depends: tcl-dev, tcl-itcl4 (= ${binary:Version}), ${misc:Depends}
 Suggests: tcl-itcl4-doc
 Conflicts: itcl-dev, itcl3-dev, tcl-itcl-dev
-Provides: tcl-itcl-dev
+Provides: tcl-itcl-dev, tcl8.6-itcl4-dev (= ${binary:Version}), tcl9.0-itcl4-dev (= ${binary:Version})
 Description: [incr Tcl] OOP extension for Tcl - development files
  [incr Tcl] (or itcl) is a popular object-oriented extension for the
  embeddable Tcl scripting language.  The name is a play on C++, and
@@ -49,7 +50,7 @@
 Depends: ${misc:Depends}
 Suggests: tcl-itcl4
 Conflicts: itcl-doc, tcl-itcl-doc
-Provides: tcl-itcl-doc
+Provides: tcl-itcl-doc, tcl8.6-itcl4-doc (= ${binary:Version}), tcl9.0-itcl4-doc (= ${binary:Version})
 Description: [incr Tcl] OOP extension for Tcl - manual pages
  [incr Tcl] (or itcl) is a popular object-oriented extension for the
  embeddable Tcl scripting language.  The name is a play on C++, and
