=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 v=$(vmajor).$(vminor).$(vpatchlevel)
 v1=$(vmajor).$(vminor).$(shell expr $(vpatchlevel) + 1)
 dtmp=$(shell pwd)/debian/tmp
+
+TCLVERSIONS = 8.6 9.0
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -19,12 +21,15 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	LIBS="-Wl,-soname,libitcl$(vmajor).so" \
-	dh_auto_configure -- \
+	for vv in $(TCLVERSIONS) ; do \
+		if [ "$$vv" = "9.0" ] ; then tcl9=tcl9 ; fi ; \
+		LIBS="-Wl,-soname,lib$${tcl9}itcl$(vmajor).so" \
+		dh_auto_configure -B$(CURDIR)/debian/$$vv -- \
 		       --includedir=/usr/include/itcl \
 		       --enable-shared \
 		       --enable-threads \
-		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
+		       --with-tcl=/usr/lib/tcl$$vv ; \
+	done
 
 override_dh_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
@@ -35,15 +40,19 @@
 	dh_clean
 
 override_dh_auto_install:
-	$(MAKE) prefix=$(dtmp)/usr \
-		exec_prefix=$(dtmp)/usr \
-		includedir=$(dtmp)/usr/include/itcl \
-		install
+	for vv in $(TCLVERSIONS) ; do \
+		$(MAKE) -C$(CURDIR)/debian/$$vv \
+			prefix=$(dtmp)/usr \
+			exec_prefix=$(dtmp)/usr \
+			includedir=$(dtmp)/usr/include/itcl \
+			install ; \
+	done
 	#
 	# Fix up the itcl libraries.
-	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itcl*/libitcl$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itcl*/lib*itcl$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itcl*/*.a $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
 	ln -s libitcl$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitcl$(vmajor).so
+	ln -s libtcl9itcl$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libtcl9itcl$(vmajor).so
 	ln -s libitclstub$(v).a $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitclstub$(vmajor).a
 	# Fix up itclConfig.sh
 	sed -e "s:^\(\(ITCL\|itcl\)_\(BUILD_\)\?LIB_SPEC\)=.*$$:\1='-L/usr/lib/$(DEB_HOST_MULTIARCH) -litcl$(vmajor)':" \
@@ -78,11 +87,5 @@
 	    mv $$i `echo $$i | sed -e 's/\.n/\.3itcl/'` ; \
           done
 
-vv = 4.3.0
-
-get-orig-source:
-	wget -O itcl4_$(vv).orig.tar.gz \
-	     http://prdownloads.sourceforge.net/incrtcl/itcl$(vv).tar.gz
-
 .PHONY: override_dh_auto_configure override_dh_clean \
-	override_dh_auto_install override_dh_link get-orig-source
+	override_dh_auto_install override_dh_link
