## itcl4 4.3.5

=== debian/changelog ===
itcl4 (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debian/watch uscan control file version to 4.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Nov 2025 21:36:44 +0300
