=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 4 file
version=4

http://sf.net/tcl/itcl([\d.]*)\.tar\.gz
